#pragma once

#include "MazeContent/Buildings/Room.h"

class Wall : public IRoomSide {
public:
    void enter(IEntity* entity) override {};
    void prepare_for_drawing() override;
    void draw_into(sf::RenderWindow& window) const override;
public:
    Wall(Room& room) : m_room(room) {}
private:
    Room& m_room;
    sf::Vertex m_line[2];
};