#pragma once

#include <memory>

class IGameEvent;
class Enemy;
class Food;

class IVisitor {
public:
    virtual std::unique_ptr<IGameEvent> visit(Enemy* ptr_enemy) = 0;
    virtual std::unique_ptr<IGameEvent> visit(Food* ptr_food) = 0;
};