#pragma once

#include "Config.h"

#include "SFML/Graphics.hpp"

class Texture {
public:
    const sf::Texture& get_texture() const noexcept { return m_texture; }
public:
    Texture(const Texture& tex) = delete;
    Texture& operator=(const Texture& tex) = delete;
protected:
    Texture() = default;
protected:
    sf::Texture m_texture;
};