#pragma once

#include "MazeContent/Buildings/Room.h"

#include <functional>

class Teleport : public IRoomSide {
public:
    void enter(IEntity* entity) override;
    void prepare_for_drawing() override;
    void draw_into(sf::RenderWindow& window) const override;
public:
    Teleport(Room &room1, Room &room2, Room &room3, Room &room4,
             Room &room5, Room &room6, Room &room7, Room &room8);
private:
    std::vector<std::reference_wrapper<Room>> m_rooms;
    std::vector<sf::RectangleShape> rectangles;
    float line_thickness = 5.0f;
};